전달
포워딩 업데이트
경로의 계정 아래에 있는 고객 포워딩 규칙을 업데이트합니다.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
/
{forwarding_id}
포워딩 업데이트
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_email": "jsmith@example.com"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}"
payload = { "target_email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_email: 'jsmith@example.com'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
본문
application/json
포워딩 대상을 업데이트하기 위한 요청.
전달 대상 이메일 주소
응답
전달이 활성화되어 있는지 여부
전달 규칙 생성 타임스탬프
전달 규칙 UUID
전달 범위에 대한 리소스 UUID
전달 규칙의 리소스 범위 유형
사용 가능한 옵션:
account, workspace, domain 전달 대상 이메일 주소
전달 규칙 최종 업데이트 타임스탬프
수신자 확인이 필요한지 여부
수신자 확인 상태
사용 가능한 옵션:
internal, pending, verified, expired 확인 만료 타임스탬프
확인 이메일 전송 타임스탬프
확인 완료 타임스탬프
이 페이지가 도움이 되었나요?
⌘I
포워딩 업데이트
